<?xml version="1.0" encoding="UTF-8"?>
<xsl:transform version="1.0"
   xmlns="http://www.w3.org/1999/xhtml"
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   xmlns:m="http://www.w3.org/1998/Math/MathML"
   xmlns:g="urn:publicid:IDN+mathdoc.org:schema:grammar:200402:us"
   xmlns:h="http://www.w3.org/1999/xhtml"
   xmlns:hfp="http://www.w3.org/2001/XMLSchema-hasFacetAndProperty"
   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
   xmlns:xs="http://www.w3.org/2001/XMLSchema" 
   exclude-result-prefixes="xsl m g h hfp xsi xs"
>

<xsl:output method="xml"/>

<xsl:template match="g:grammar">
<div class="grammar">
<div class="grammar-rules">
<xsl:apply-templates/>
</div>
</div>
</xsl:template>

<xsl:template match="g:rule">
<p name="{@name}" class="grammar-rule"><span class="grammar-lhs"><xsl:value-of select="@name"/></span>
<span class="grammar-rule-assignment"> := </span>
<span class="grammar-rhs">
<xsl:apply-templates/>
</span>
</p>
</xsl:template>

<xsl:template name="g:choice">
<span class="grammar-choice">(<xsl:apply-templates/>)<xsl:value-of select="@occurs"/></span>
</xsl:template>

<xsl:template match="g:choice">
<xsl:call-template name="g:choice"/>
</xsl:template>

<xsl:template name="g:group">
<span class="grammar-group">(<xsl:apply-templates/>)<xsl:value-of select="@occurs"/></span>
</xsl:template>

<xsl:template match="g:group">
<xsl:call-template name="g:group"/>
</xsl:template>

<xsl:template name="g:rule-ref">
<a class="grammar-rule-ref" href="#{@name}"><xsl:value-of select="@name"/></a>
</xsl:template>

<xsl:template match="g:rule-ref">
<xsl:call-template name="g:rule-ref"/>
</xsl:template>

<xsl:template name="g:literal-token">
<span class="grammar-literal-token">
<xsl:text>"</xsl:text>
<xsl:apply-templates select="literal"/>
<xsl:text>"</xsl:text>
</span>
</xsl:template>

<xsl:template match="g:literal-token/literal">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="g:literal-token">
<xsl:call-template name="g:literal-token"/>
</xsl:template>

<xsl:template match="g:choice/g:rule-ref[following-sibling::*]">
<xsl:call-template name="g:rule-ref"/>
<xsl:text> | </xsl:text>
</xsl:template>

<xsl:template match="g:choice/g:group[following-sibling::*]">
<xsl:call-template name="g:group"/>
<xsl:text> | </xsl:text>
</xsl:template>

<xsl:template match="g:choice/g:choice[following-sibling::*]">
<xsl:call-template name="g:choice"/>
<xsl:text> | </xsl:text>
</xsl:template>

<xsl:template match="g:choice/g:literal-token[following-sibling::*]">
<xsl:call-template name="g:literal-token"/>
<xsl:text> | </xsl:text>
</xsl:template>

</xsl:transform> 

