<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   xmlns="http://www.w3.org/1998/Math/MathML"
   xmlns:m="http://www.w3.org/1998/Math/MathML"
   xmlns:hfp="http://www.w3.org/2001/XMLSchema-hasFacetAndProperty"
   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
   xmlns:xs="http://www.w3.org/2001/XMLSchema" 
   exclude-result-prefixes="m hfp xsi xs"
>

<xsl:variable name="mathml-uri">http://www.w3.org/1998/Math/MathML</xsl:variable>

<!-- MathML Content Markup -->

<!-- content markup to presentation markup -->
<xsl:template match="m:vector">
<mfenced>
<xsl:apply-templates/>
</mfenced>
</xsl:template>

<xsl:template match="m:matrix"  priority="2">
<mfenced open="[" close="]">
<mtable>
<xsl:apply-templates/>
</mtable>
</mfenced>
</xsl:template>

<xsl:template match="m:matrixrow"  priority="2">
<mtr>
<xsl:for-each select="*">
<mtd>
<xsl:apply-templates select="."/>
</mtd>
</xsl:for-each>
</mtr>
</xsl:template>

<!-- MathML Identity -->


<xsl:template match="m:*">
  <xsl:element name="{local-name(.)}" namespace="{namespace-uri(.)}">
    <xsl:apply-templates select="@*|*|text()"/>
  </xsl:element>
</xsl:template>

</xsl:stylesheet> 
