<?xml version='1.0'?>
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
   xmlns="http://www.w3.org/1999/xhtml" 
   xmlns:h="http://www.w3.org/1999/xhtml" 
   xmlns:ps="http://www.mathdoc.org/schemas/2003/MathDoc/ProblemSet"
   xmlns:md="http://www.mathdoc.org/schemas/2003/MathDoc/Common"
   exclude-result-prefixes="h ps md"
>

<xsl:template name="mathdoc-xhtml-style">
<style type="text/css">
<!--
html { 
font-family: "Arial Unicode MS","Code2000",Arial,"Comic Sans MS",Comic;
}
-->

@media print {
body {
  font-size: 10pt;
}
}

caption { font-weight: bold }
.toc { margin-top: 0em; margin-bottom: 0.2em }
a:link { color: black; }
a.author-email:link, a.author-email:visited { text-decoration: none; }
a.author-email:hover { color: red }

div.prolog { border-bottom: 1pt solid black; }

p.author { font-weight: bold; text-align: center; }
div.affiliation { font-style: italic; text-align: center; }
p.pubdate { text-align: center; }

div.abstract { padding: 30pt; }
p.abstract-title { border-bottom: 1pt solid black; }
div.acknowledgement { padding: 30pt; }
p.acknowledgement-title { border-bottom: 1pt solid black; }

div.description { font-style: italic; }
td.description { font-style: italic; }
div.definitions { margin-left: 15pt; }
div.derivation { margin-left: 15pt; }
div.proof { margin-left: 10pt; }
p.proof-label { font-style: italic; }
div.problem { padding-bottom: 5pt; }
div.solution { margin-left: 10pt; }
div.part { page-break-inside: avoid; }
div.prolog { padding-bottom: 10pt; padding-left: 10pt; padding-right: 10pt;}

div.figure { margin: 15pt; }
p.figure-image { text-align: center; }
p.figure-title { font-size: 14pt; font-weight: bold; margin-top: 10pt; text-align: center;}

p.title { font-size: 20pt; font-weight: bold; 
   padding-top: 3pt; padding-bottom: 3pt; padding-left: 10pt; 
   border-bottom: 4pt double black;
   text-align: center;
}

p.subtitle {
   font-size: 18pt; font-weight: bold; 
   padding-top: 3pt; padding-bottom: 3pt; padding-left: 10pt; 
   text-align: center;
}

p.problems-title { font-weight: bold; font-size: 16pt; padding-bottom: 5pt; }
p.problem-title { font-weight: bold; font-size: 14pt; padding-bottom: 3pt; border-bottom: solid black; }
p.description { font-style: italic; page-break-inside: avoid; }
p.comment { color: red; }
p.step-label { font-weight: bold; padding-bottom: 5pt; }
p.section-title-top { font-weight: bold; font-size: 16pt; }
p.section-title-sub { font-weight: bold; font-size: 14pt; }
tr { vertical-align: top; }
table.normal { width: 100%;  }
td > p { padding: 2pt; margin: 0pt; }
sub.var-sub { vertical-align: -30%; font-size: 75%;}
sup.var-sup { vertical-align: 60%; font-size: 75%; }
sub.var-sup-sub { vertical-align: 55%; font-size: 90%; }
sup.var-sup-sup { vertical-align: -35%; font-size: 90%; }

span.element-of { margin: 2pt; }

table.sum { display: inline-table; vertical-align: middle; border-spacing: 0pt; }
tr.sum-to { padding: 0pt: margin; 0pt; vertical-align: bottom;  } 
td.sum-to { padding: 0pt; margin: 0pt; } 
tr.sum-body { padding: 0pt: margin; 0pt; } 
td.sum-body { padding: 0%; vertical-align: bottom; } 
span.sum-body { verical-align: bottom; }
span.sum-sigma { font-size: 150%; }
span.sum-to { font-size: 70%; padding-left: 5pt;}
td.sum-from { padding: 0pt; vertical-align: top; } 
td.sum-from { padding: 0pt; vertical-align: top; } 
span.sum-from { font-size: 70%; padding-left: 5pt; }

table.derivation { vertical-align: middle }
tr.derivation { vertical-align: middle }

tr.table { vertical-align: bottom; }
th.table { border-bottom: 2pt solid black; border-right: 2pt solid black;}
td.table { border-bottom: 1pt dotted black; border-right: 1pt dotted black; }

table.fraction { display: inline-table: vertical-align: middle; border-spacing: 0pt; }
td.fraction-numerator { text-align: center; vertical-align: bottom; border-bottom: 1pt solid black; }
td.fraction-denominator { text-align: center; vertical-align: top; }

table.column-vector { display: inline-table; vertical-align: middle; border-left: 1pt solid black; border-right: 1pt solid black; }
td.column-vector-bracket: { font-size: 100%; }

td.procedure-step { padding-left: 12pt; padding-bottom: 12pt; }
table.tableau { border-spacing: 0pt; }
td.tableau-zeroth-first { border: 1pt solid black; padding: 3pt; text-align: center; }
td.tableau-zeroth { border-top: 1pt solid black; border-bottom: 1pt solid black;  padding: 3pt; text-align: center; }
td.tableau-zeroth-last { border-top: 1pt solid black; border-bottom: 1pt solid black; border-right: 1pt solid black; padding: 3pt; text-align: center; }
td.tableau-first { border-left: 1pt solid black; border-right: 1pt solid black;  padding: 3pt; text-align: center; }
td.tableau-last { border-right: 1pt solid black;  padding: 3pt; text-align: center; }
td.tableau-lastrow-first { border-bottom: 1pt solid black; border-left: 1pt solid black; border-right: 1pt solid black;  padding: 3pt; text-align: center; }
td.tableau-lastrow { border-bottom: 1pt solid black; padding: 3pt; text-align: center; }
td.tableau-lastrow-last { border-bottom: 1pt solid black;  border-right: 1pt solid black;  padding: 3pt; text-align: center; }
td.tableau {  padding: 3pt; text-align: center; }

div.definition-block { padding: 5pt; }
p.definition-block-title { font-weight: bold; }
div.definition-block-contents { padding: 5pt; border: 1pt solid black; }

div.proposition { margin: 5pt; }
p.proposition-title { font-weight: bold; }
div.proposition-contents { margin-bottom: 10pt; border: 1pt solid black; padding: 10pt; }

div.box { display: block; margin: 5pt; }
p.box-title { display: block; font-weight: bold; }
div.box-contents { display: block; margin-top: 5pt; padding: 5pt; border: 1pt solid black; }

div.algorithm { display: block; margin: 5pt; }
p.algorithm-title { display: block; font-weight: bold; }
div.algorithm-contents { display: block; margin-top: 5pt; padding: 5pt; border: 1pt solid black; }

div.references { display: block; margin-top: 50pt; }

div.inset { padding: 5pt; padding-left: 15pt; }

div.pseudocode { padding-left: 10pt; }
div.pseudo-codeblock { padding-left: 15pt; }
span.pseudo-keyword { font-weight: bold; }
span.pseudo-attribute { font-style: italic; }
p.pseudo-main { font-weight: bold; }
p.pseudo-comment { font-style: italic; padding: 0pt; padding-bottom: 3pt; margin: 0pt; } 
p.pseudo-statement { padding: 0pt; padding-bottom: 3pt; margin: 0pt; }
p.pseudo-do { padding: 0pt; padding-bottom: 3pt; margin: 0pt; }
p.pseudo-while { padding: 0pt; padding-bottom: 3pt; margin: 0pt; }
p.pseudo-repeat { padding: 0pt; padding-bottom: 3pt; margin: 0pt; }
p.pseudo-until { padding: 0pt; padding-bottom: 3pt; margin: 0pt; }
p.pseudo-for { padding: 0pt; padding-bottom: 3pt; margin: 0pt; }
p.pseudo-if { padding: 0pt; padding-bottom: 3pt; margin: 0pt; }
p.pseudo-then { padding: 0pt; padding-bottom: 3pt; margin: 0pt; }
p.pseudo-else-if { padding: 0pt; padding-bottom: 3pt; margin: 0pt; }
p.pseudo-else { padding: 0pt; padding-bottom: 3pt; margin: 0pt; }

div.grammar {
   background-color: rgb(153,255,255);
   border: 1pt solid gray;
   padding: 10pt;
}

div.grammar-rules {
   display: table;
}
p.grammar-rule {
   display: table-row;
}
span.grammar-lhs {
   display: table-cell;
}
span.grammar-rule-assignment {
   display: table-cell;
   padding: 5pt;
}
span.grammar-rhs {
   display: table-cell;
}
span.grammar-choice {
   padding-left: 3pt;
   padding-right: 3pt;
}
span.grammar-group {
   padding-left: 3pt;
   padding-right: 3pt;
}
span.grammar-literal-token {
   padding-left: 3pt;
   padding-right: 3pt;
}
a.grammar-rule-ref {
   padding-left: 3pt;
   padding-right: 3pt;
}
</style>
</xsl:template>

</xsl:transform>
